Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDITEMREGvalues

    java.lang.Object
      java.lang.Enum<CDITEMREGvalues>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDITEMREGvalues

All Implemented Interfaces:
  Serializable, Comparable<CDITEMREGvalues>

    public enum CDITEMREGvalues

extends Enum<CDITEMREGvalues>

Java class for CD-ITEM-REGvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ITEM-REGvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="isinitialintervention"/>
         <enumeration value="dominance"/>
         <enumeration value="existingbridge"/>
         <enumeration value="observedlesion"/>
         <enumeration value="segment"/>
         <enumeration value="totaltreatedlength"/>
         <enumeration value="bloodvesseldiameter"/>
         <enumeration value="procedure-device"/>
         <enumeration value="contrastproductused"/>
         <enumeration value="reimbursementnomenclaturetype"/>
         <enumeration value="intervention-type"/>
         <enumeration value="intervention-site"/>
         <enumeration value="approach"/>
         <enumeration value="navigationcomputer"/>
         <enumeration value="intervention-device"/>
         <enumeration value="bearingsurface"/>
         <enumeration value="graftused"/>
         <enumeration value="acetabularinterface"/>
         <enumeration value="femoralinterface"/>
         <enumeration value="stem"/>
         <enumeration value="cup"/>
         <enumeration value="head"/>
         <enumeration value="neck"/>
         <enumeration value="insert"/>
         <enumeration value="prosthesis-other"/>
         <enumeration value="brand"/>
         <enumeration value="producer"/>
         <enumeration value="size"/>
         <enumeration value="revisiontechnic"/>
         <enumeration value="kneeimplanttype"/>
         <enumeration value="kneeinsert"/>
         <enumeration value="tibialinterface"/>
         <enumeration value="patellarinterface"/>
         <enumeration value="patella"/>
         <enumeration value="femur"/>
         <enumeration value="tibia"/>
         <enumeration value="tickness"/>
         <enumeration value="kneeprosthesis"/>
         <enumeration value="revisioncomponent"/>
         <enumeration value="doctorsremark"/>
         <enumeration value="resynchronisation"/>
         <enumeration value="pacingindication"/>
         <enumeration value="issecondoperator"/>
         <enumeration value="postpcitimi"/>
         <enumeration value="poststenosis"/>
         <enumeration value="infiltration"/>
         <enumeration value="operation-type"/>
         <enumeration value="alignment"/>
         <enumeration value="approach"/>
         <enumeration value="custominstrumentation"/>
         <enumeration value="substitute"/>
         <enumeration value="modularneck"/>
         <enumeration value="materialsremark"/>
         <enumeration value="ortho-device"/>
         <enumeration value="devicename"/>
         <enumeration value="distributor"/>
         <enumeration value="manufacturer"/>
         <enumeration value="femoralreplacement"/>
         <enumeration value="acetabularreplacement"/>
         <enumeration value="revisedcomponent"/>
         <enumeration value="cardioversion"/>
         <enumeration value="motivation"/>
         <enumeration value="criteriacomments"/>
         <enumeration value="resynchronisation"/>
         <enumeration value="comorbiditiescomments"/>
         <enumeration value="informationprimo"/>
         <enumeration value="lvef"/>
         <enumeration value="qrs"/>
         <enumeration value="diameter"/>
         <enumeration value="cardiacasynchrony"/>
         <enumeration value="indication"/>
         <enumeration value="registration-type"/>
         <enumeration value="declarationdas28"/>
         <enumeration value="declarationhaq"/>
         <enumeration value="declarationinfiltration"/>
         <enumeration value="declarationmedication"/>
         <enumeration value="substance"/>
         <enumeration value="medicationstopinfo"/>
         <enumeration value="chapter4"/>
         <enumeration value="dosis"/>
         <enumeration value="frequency"/>
         <enumeration value="route"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ACETABULARINTERFACE`
`ACETABULARREPLACEMENT`
`ALIGNMENT`
`APPROACH`
`BEARINGSURFACE`
`BLOODVESSELDIAMETER`
`BRAND`
`CARDIACASYNCHRONY`
`CARDIOVERSION`
`CHAPTER_4`
`COMORBIDITIESCOMMENTS`
`CONTRASTPRODUCTUSED`
`CRITERIACOMMENTS`
`CUP`
`CUSTOMINSTRUMENTATION`
`DECLARATIONDAS_28`
`DECLARATIONHAQ`
`DECLARATIONINFILTRATION`
`DECLARATIONMEDICATION`
`DEVICENAME`
`DIAMETER`
`DISTRIBUTOR`
`DOCTORSREMARK`
`DOMINANCE`
`DOSIS`
`EXISTINGBRIDGE`
`FEMORALINTERFACE`
`FEMORALREPLACEMENT`
`FEMUR`
`FREQUENCY`
`GRAFTUSED`
`HEAD`
`INDICATION`
`INFILTRATION`
`INFORMATIONPRIMO`
`INSERT`
`INTERVENTION_DEVICE`
`INTERVENTION_SITE`
`INTERVENTION_TYPE`
`ISINITIALINTERVENTION`
`ISSECONDOPERATOR`
`KNEEIMPLANTTYPE`
`KNEEINSERT`
`KNEEPROSTHESIS`
`LVEF`
`MANUFACTURER`
`MATERIALSREMARK`
`MEDICATIONSTOPINFO`
`MODULARNECK`
`MOTIVATION`
`NAVIGATIONCOMPUTER`
`NECK`
`OBSERVEDLESION`
`OPERATION_TYPE`
`ORTHO_DEVICE`
`PACINGINDICATION`
`PATELLA`
`PATELLARINTERFACE`
`POSTPCITIMI`
`POSTSTENOSIS`
`PROCEDURE_DEVICE`
`PRODUCER`
`PROSTHESIS_OTHER`
`QRS`
`REGISTRATION_TYPE`
`REIMBURSEMENTNOMENCLATURETYPE`
`RESYNCHRONISATION`
`REVISEDCOMPONENT`
`REVISIONCOMPONENT`
`REVISIONTECHNIC`
`ROUTE`
`SEGMENT`
`SIZE`
`STEM`
`SUBSTANCE`
`SUBSTITUTE`
`TIBIA`
`TIBIALINTERFACE`
`TICKNESS`
`TOTALTREATEDLENGTH`

Method Summary
`static CDITEMREGvalues` | `fromValue(String v)`
`String` | `value()`
`static CDITEMREGvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDITEMREGvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ISINITIALINTERVENTION

    public static final CDITEMREGvalues ISINITIALINTERVENTION

### DOMINANCE

    public static final CDITEMREGvalues DOMINANCE

### EXISTINGBRIDGE

    public static final CDITEMREGvalues EXISTINGBRIDGE

### OBSERVEDLESION

    public static final CDITEMREGvalues OBSERVEDLESION

### SEGMENT

    public static final CDITEMREGvalues SEGMENT

### TOTALTREATEDLENGTH

    public static final CDITEMREGvalues TOTALTREATEDLENGTH

### BLOODVESSELDIAMETER

    public static final CDITEMREGvalues BLOODVESSELDIAMETER

### PROCEDURE_DEVICE

    public static final CDITEMREGvalues PROCEDURE_DEVICE

### CONTRASTPRODUCTUSED

    public static final CDITEMREGvalues CONTRASTPRODUCTUSED

### REIMBURSEMENTNOMENCLATURETYPE

    public static final CDITEMREGvalues REIMBURSEMENTNOMENCLATURETYPE

### INTERVENTION_TYPE

    public static final CDITEMREGvalues INTERVENTION_TYPE

### INTERVENTION_SITE

    public static final CDITEMREGvalues INTERVENTION_SITE

### APPROACH

    public static final CDITEMREGvalues APPROACH

### NAVIGATIONCOMPUTER

    public static final CDITEMREGvalues NAVIGATIONCOMPUTER

### INTERVENTION_DEVICE

    public static final CDITEMREGvalues INTERVENTION_DEVICE

### BEARINGSURFACE

    public static final CDITEMREGvalues BEARINGSURFACE

### GRAFTUSED

    public static final CDITEMREGvalues GRAFTUSED

### ACETABULARINTERFACE

    public static final CDITEMREGvalues ACETABULARINTERFACE

### FEMORALINTERFACE

    public static final CDITEMREGvalues FEMORALINTERFACE

### STEM

    public static final CDITEMREGvalues STEM

### CUP

    public static final CDITEMREGvalues CUP

### HEAD

    public static final CDITEMREGvalues HEAD

### NECK

    public static final CDITEMREGvalues NECK

### INSERT

    public static final CDITEMREGvalues INSERT

### PROSTHESIS_OTHER

    public static final CDITEMREGvalues PROSTHESIS_OTHER

### BRAND

    public static final CDITEMREGvalues BRAND

### PRODUCER

    public static final CDITEMREGvalues PRODUCER

### SIZE

    public static final CDITEMREGvalues SIZE

### REVISIONTECHNIC

    public static final CDITEMREGvalues REVISIONTECHNIC

### KNEEIMPLANTTYPE

    public static final CDITEMREGvalues KNEEIMPLANTTYPE

### KNEEINSERT

    public static final CDITEMREGvalues KNEEINSERT

### TIBIALINTERFACE

    public static final CDITEMREGvalues TIBIALINTERFACE

### PATELLARINTERFACE

    public static final CDITEMREGvalues PATELLARINTERFACE

### PATELLA

    public static final CDITEMREGvalues PATELLA

### FEMUR

    public static final CDITEMREGvalues FEMUR

### TIBIA

    public static final CDITEMREGvalues TIBIA

### TICKNESS

    public static final CDITEMREGvalues TICKNESS

### KNEEPROSTHESIS

    public static final CDITEMREGvalues KNEEPROSTHESIS

### REVISIONCOMPONENT

    public static final CDITEMREGvalues REVISIONCOMPONENT

### DOCTORSREMARK

    public static final CDITEMREGvalues DOCTORSREMARK

### RESYNCHRONISATION

    public static final CDITEMREGvalues RESYNCHRONISATION

### PACINGINDICATION

    public static final CDITEMREGvalues PACINGINDICATION

### ISSECONDOPERATOR

    public static final CDITEMREGvalues ISSECONDOPERATOR

### POSTPCITIMI

    public static final CDITEMREGvalues POSTPCITIMI

### POSTSTENOSIS

    public static final CDITEMREGvalues POSTSTENOSIS

### INFILTRATION

    public static final CDITEMREGvalues INFILTRATION

### OPERATION_TYPE

    public static final CDITEMREGvalues OPERATION_TYPE

### ALIGNMENT

    public static final CDITEMREGvalues ALIGNMENT

### CUSTOMINSTRUMENTATION

    public static final CDITEMREGvalues CUSTOMINSTRUMENTATION

### SUBSTITUTE

    public static final CDITEMREGvalues SUBSTITUTE

### MODULARNECK

    public static final CDITEMREGvalues MODULARNECK

### MATERIALSREMARK

    public static final CDITEMREGvalues MATERIALSREMARK

### ORTHO_DEVICE

    public static final CDITEMREGvalues ORTHO_DEVICE

### DEVICENAME

    public static final CDITEMREGvalues DEVICENAME

### DISTRIBUTOR

    public static final CDITEMREGvalues DISTRIBUTOR

### MANUFACTURER

    public static final CDITEMREGvalues MANUFACTURER

### FEMORALREPLACEMENT

    public static final CDITEMREGvalues FEMORALREPLACEMENT

### ACETABULARREPLACEMENT

    public static final CDITEMREGvalues ACETABULARREPLACEMENT

### REVISEDCOMPONENT

    public static final CDITEMREGvalues REVISEDCOMPONENT

### CARDIOVERSION

    public static final CDITEMREGvalues CARDIOVERSION

### MOTIVATION

    public static final CDITEMREGvalues MOTIVATION

### CRITERIACOMMENTS

    public static final CDITEMREGvalues CRITERIACOMMENTS

### COMORBIDITIESCOMMENTS

    public static final CDITEMREGvalues COMORBIDITIESCOMMENTS

### INFORMATIONPRIMO

    public static final CDITEMREGvalues INFORMATIONPRIMO

### LVEF

    public static final CDITEMREGvalues LVEF

### QRS

    public static final CDITEMREGvalues QRS

### DIAMETER

    public static final CDITEMREGvalues DIAMETER

### CARDIACASYNCHRONY

    public static final CDITEMREGvalues CARDIACASYNCHRONY

### INDICATION

    public static final CDITEMREGvalues INDICATION

### REGISTRATION_TYPE

    public static final CDITEMREGvalues REGISTRATION_TYPE

### DECLARATIONDAS_28

    public static final CDITEMREGvalues DECLARATIONDAS_28

### DECLARATIONHAQ

    public static final CDITEMREGvalues DECLARATIONHAQ

### DECLARATIONINFILTRATION

    public static final CDITEMREGvalues DECLARATIONINFILTRATION

### DECLARATIONMEDICATION

    public static final CDITEMREGvalues DECLARATIONMEDICATION

### SUBSTANCE

    public static final CDITEMREGvalues SUBSTANCE

### MEDICATIONSTOPINFO

    public static final CDITEMREGvalues MEDICATIONSTOPINFO

### CHAPTER_4

    public static final CDITEMREGvalues CHAPTER_4

### DOSIS

    public static final CDITEMREGvalues DOSIS

### FREQUENCY

    public static final CDITEMREGvalues FREQUENCY

### ROUTE

    public static final CDITEMREGvalues ROUTE

Method Detail

### values

    public static CDITEMREGvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDITEMREGvalues c : CDITEMREGvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDITEMREGvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDITEMREGvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Package PERSMIDWIFE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.